Skip to main content
GET
/
api
/
live
/
inputs
/
{id}
Get a live input
curl --request GET \
  --url https://convertly.sh/api/live/inputs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "liveInput": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "inputSlug": "<string>",
    "playbackId": "<string>",
    "enabled": true,
    "reconnectWindowSeconds": 123,
    "requireSignedPlayback": true,
    "allowedDomains": [
      "<string>"
    ],
    "streamKeyPrefix": "<string>",
    "ingest": {
      "rtmpUrl": "<string>",
      "srtUrl": "<string>",
      "obsServer": "<string>",
      "obsStreamKey": "<string>"
    },
    "playback": {
      "hlsUrl": "<string>",
      "webRtcUrl": "<string>",
      "playbackId": "<string>"
    },
    "lastStartedAt": "2023-11-07T05:31:56Z",
    "lastEndedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "streamKey": "<string>"
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Path Parameters

id
string<uuid>
required

Response

Live input

liveInput
object
streamKey
string

Returned only on creation or key rotation.